package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tp_elevator_model
 * 
 * @author ruoyi
 * @date 2024-04-25
 */
public class TpElevatorModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 电梯类型（00：乘客电梯 01：家用电梯） */
    @Excel(name = "电梯类型", readConverterExp = "0=0：乘客电梯,0=1：家用电梯")
    private String elevatorType;

    /** 电梯型号 */
    @Excel(name = "电梯型号")
    private String elevatorModel;

    /** 状态（0：启用  1：停用） */
    @Excel(name = "状态", readConverterExp = "0=：启用,1=：停用")
    private String status;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    private String areaName;

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setElevatorType(String elevatorType) 
    {
        this.elevatorType = elevatorType;
    }

    public String getElevatorType() 
    {
        return elevatorType;
    }
    public void setElevatorModel(String elevatorModel) 
    {
        this.elevatorModel = elevatorModel;
    }

    public String getElevatorModel() 
    {
        return elevatorModel;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("elevatorType", getElevatorType())
            .append("elevatorModel", getElevatorModel())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
